
class GameScene extends egret.Sprite {

  private controller: egret.Sprite
  public constructor() {
    super();
    this.init()
  }

  private pointtt = new egret.Shape()

  // 初始化(给开始按钮绑定点击事件)
  private init() {
    // put display object to this scene
    this.controller = new Controller()
    this.addChild(this.controller)
    this.controller.addEventListener("position_change", this.onPositionChange, this)

    this.pointtt.graphics.beginFill(0xFF0000, 1)
    this.pointtt.graphics.drawCircle(667, 375, 15)
    this.pointtt.graphics.endFill()
    this.addChild(this.pointtt)
  }

  private step = 72
  private onPositionChange(delta){
    this.pointtt.x += this.step * delta.data.x
    this.pointtt.y += this.step * delta.data.y
  }

  public release() {
    // 移除事件
  }
}